Index: main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/de/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/de/LC_MESSAGES/waeup.ikoba.po	(revision 11949)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/de/LC_MESSAGES/waeup.ikoba.po	(revision 11952)
@@ -1073,13 +1073,13 @@
 
 #: waeup/ikoba/interfaces.py:595
-msgid "Name of University"
+msgid "Name of Institution"
 msgstr "Name der Universität"
 
 #: waeup/ikoba/interfaces.py:596
-msgid "Sample University"
+msgid "Sample Institution"
 msgstr "Deomo-Universität"
 
 #: waeup/ikoba/interfaces.py:601
-msgid "Abbreviated Title of University"
+msgid "Abbreviated Title of Institution"
 msgstr "Abkürzung"
 
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/en/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/en/LC_MESSAGES/waeup.ikoba.po	(revision 11949)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/en/LC_MESSAGES/waeup.ikoba.po	(revision 11952)
@@ -1004,13 +1004,13 @@
 
 #: waeup/ikoba/interfaces.py:595
-msgid "Name of University"
+msgid "Name of Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:596
-msgid "Sample University"
+msgid "Sample Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:601
-msgid "Abbreviated Title of University"
+msgid "Abbreviated Title of Institution"
 msgstr ""
 
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/fr/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/fr/LC_MESSAGES/waeup.ikoba.po	(revision 11949)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/fr/LC_MESSAGES/waeup.ikoba.po	(revision 11952)
@@ -1076,13 +1076,13 @@
 #: waeup/ikoba/interfaces.py:595
 #, fuzzy
-msgid "Name of University"
+msgid "Name of Institution"
 msgstr "Nom du département"
 
 #: waeup/ikoba/interfaces.py:596
-msgid "Sample University"
+msgid "Sample Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:601
-msgid "Abbreviated Title of University"
+msgid "Abbreviated Title of Institution"
 msgstr ""
 
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/ha/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/ha/LC_MESSAGES/waeup.ikoba.po	(revision 11949)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/ha/LC_MESSAGES/waeup.ikoba.po	(revision 11952)
@@ -1005,13 +1005,13 @@
 
 #: waeup/ikoba/interfaces.py:595
-msgid "Name of University"
+msgid "Name of Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:596
-msgid "Sample University"
+msgid "Sample Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:601
-msgid "Abbreviated Title of University"
+msgid "Abbreviated Title of Institution"
 msgstr ""
 
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/ig/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/ig/LC_MESSAGES/waeup.ikoba.po	(revision 11949)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/ig/LC_MESSAGES/waeup.ikoba.po	(revision 11952)
@@ -1005,13 +1005,13 @@
 
 #: waeup/ikoba/interfaces.py:595
-msgid "Name of University"
+msgid "Name of Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:596
-msgid "Sample University"
+msgid "Sample Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:601
-msgid "Abbreviated Title of University"
+msgid "Abbreviated Title of Institution"
 msgstr ""
 
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/waeup.ikoba.pot
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/waeup.ikoba.pot	(revision 11949)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/waeup.ikoba.pot	(revision 11952)
@@ -1011,13 +1011,13 @@
 
 #: waeup/ikoba/interfaces.py:595
-msgid "Name of University"
+msgid "Name of Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:596
-msgid "Sample University"
+msgid "Sample Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:601
-msgid "Abbreviated Title of University"
+msgid "Abbreviated Title of Institution"
 msgstr ""
 
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/yo/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/yo/LC_MESSAGES/waeup.ikoba.po	(revision 11949)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/locales/yo/LC_MESSAGES/waeup.ikoba.po	(revision 11952)
@@ -1005,13 +1005,13 @@
 
 #: waeup/ikoba/interfaces.py:595
-msgid "Name of University"
+msgid "Name of Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:596
-msgid "Sample University"
+msgid "Sample Institution"
 msgstr ""
 
 #: waeup/ikoba/interfaces.py:601
-msgid "Abbreviated Title of University"
+msgid "Abbreviated Title of Institution"
 msgstr ""
 