Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-activate-tab.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-activate-tab.js	(revision 11957)
+++ main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-activate-tab.js	(revision 11957)
@@ -0,0 +1,10 @@
+$(document).ready(function(){
+
+/*
+Activate current tab, if any, but jump to top, if hash value contains '-top'
+*/
+
+  var anchor = window.location.hash.replace('-top','');
+  $('a[href="' + anchor + '"]').trigger('click');
+
+});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-datatables.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-datatables.js	(revision 11957)
+++ main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-datatables.js	(revision 11957)
@@ -0,0 +1,32 @@
+$(document).ready(function(){
+
+  $('.dataTable').dataTable( {
+    "iDisplayLength": 1000,
+    "iDisplayEnd": 1000,
+    "aLengthMenu": [ 50, 100, 1000, 5000 ],
+  } );
+
+	$('.dataTableFiles').dataTable( {
+    "aaSorting": [[ 2, "desc" ]],
+    "iDisplayLength": 1000,
+    "iDisplayEnd": 1000,
+    "aLengthMenu": [ 50, 100, 1000, 5000 ],
+	} );
+
+	$('.dataTableManage').dataTable( {
+    "aaSorting": [[ 1, "asc" ]],
+    "aoColumnDefs":[{ "bSortable": false, "aTargets": [ 0 ] }],
+    "iDisplayLength": 1000,
+    "iDisplayEnd": 1000,
+    "aLengthMenu": [ 50, 100, 1000, 5000 ],
+	} );
+
+	$('.dataTableManageFiles').dataTable( {
+    "aaSorting": [[ 3, "desc" ]],
+    "aoColumnDefs":[{ "bSortable": false, "aTargets": [ 0 ] }],
+    "iDisplayLength": 1000,
+    "iDisplayEnd": 1000,
+    "aLengthMenu": [ 50, 100, 1000, 5000 ],
+	} );
+
+});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-datepicker.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-datepicker.js	(revision 11957)
+++ main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-datepicker.js	(revision 11957)
@@ -0,0 +1,55 @@
+$(function() {
+  $( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd',
+                                  duration: 'fast'
+  });
+});
+
+$(function() {
+  $( ".datepicker-le" ).datepicker({dateFormat: 'dd/mm/yy',
+	duration: 'fast'
+	});
+  });
+
+$(function() {
+  $( ".datepicker-de" ).datepicker({dateFormat: 'dd.mm.yy',
+	duration: 'fast'
+	});
+  });
+
+$(function() {
+  $( ".datepicker-us" ).datepicker({dateFormat: 'mm/dd/yy',
+	duration: 'fast'
+	});
+  });
+
+$(function() {
+  $( ".datepicker-year" ).datepicker({ dateFormat: 'yy-mm-dd',
+	duration: 'fast',
+	changeYear: true,
+	yearRange: '1900:2020'
+	});
+});
+
+$(function() {
+  $( ".datepicker-le-year" ).datepicker({dateFormat: 'dd/mm/yy',
+	duration: 'fast',
+	changeYear: true,
+	yearRange: '1900:2020'
+	});
+  });
+
+$(function() {
+  $( ".datepicker-de-year" ).datepicker({dateFormat: 'dd.mm.yy',
+	duration: 'fast',
+	changeYear: true,
+	yearRange: '1900:2020'
+	});
+  });
+
+$(function() {
+  $( ".datepicker-us-year" ).datepicker({dateFormat: 'mm/dd/yy',
+	duration: 'fast',
+	changeYear: true,
+	yearRange: '1900:2020'
+	});
+  });
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-functions.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-functions.js	(revision 11957)
+++ main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-functions.js	(revision 11957)
@@ -0,0 +1,22 @@
+var RecaptchaOptions = {
+    theme : 'white'
+ };
+
+function renderCurrentYear() {
+	var mydate=new Date()
+	var year=mydate.getYear()
+	if (year < 1000)
+	year+=1900
+	var day=mydate.getDay()
+	var month=mydate.getMonth()
+	var daym=mydate.getDate()
+	if (daym<10)
+	daym="0"+daym
+	document.write(year)
+}
+
+function toggle(source, name) {
+  checkboxes = document.getElementsByName(name);
+  for(var i in checkboxes)
+    checkboxes[i].checked = source.checked;
+}
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-scroll.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-scroll.js	(revision 11957)
+++ main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-scroll.js	(revision 11957)
@@ -0,0 +1,45 @@
+(function($){
+	$.fn.BottomTop = function(pos,cssClass,anchor) {
+
+		var easingType = 'easeInOutCubic';
+		var min = -1;
+		var inDelay = 500;
+		var outDelay = 500;
+		var scrollSpeed = 750;
+		var containerIDhash = '#' + pos;
+
+		// Auto Link
+		$('body').append('<a href="#'+anchor+'" id="'+pos+'" class="'+cssClass+'" />');
+    if (anchor == 'bottom') {
+  		$(containerIDhash).hide().click(function(){
+  			$('html, body').animate({scrollTop:$(bottom).offset().top}, scrollSpeed, easingType);
+  			return false;
+  		})
+      }
+    if (anchor == '') {
+  		$(containerIDhash).hide().click(function(){
+  			$('html, body').animate({scrollTop:0}, scrollSpeed, easingType);
+  			return false;
+  		})
+      }
+
+		$(window).scroll(function() {
+			var sd = $(window).scrollTop();
+
+			if ( sd > min )
+				$(containerIDhash).fadeIn(inDelay);
+			else
+				$(containerIDhash).fadeOut(Outdelay);
+		});
+
+};
+})(jQuery);
+
+
+$(document).ready(function(){
+	$('.top').BottomTop('toTop-right','scroll-up','');
+});
+
+$(document).ready(function(){
+	$('.bottom').BottomTop('toBottom-right','scroll-down','bottom');
+});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-scrollto.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-scrollto.js	(revision 11957)
+++ main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-scrollto.js	(revision 11957)
@@ -0,0 +1,12 @@
+/* After loading the page, softly scroll to the #ikoba-scroll-target tag,
+   if it exists */
+$(document).ready(function (){
+    var scroll_target = $('#ikoba-scroll-target');
+    if (scroll_target.length) {
+	$('html,body').animate(
+            {
+		scrollTop: scroll_target.offset().top
+		    - $(window).height() + 2 * scroll_target.height()
+            })
+    }
+});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-tooltip.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-tooltip.js	(revision 11957)
+++ main/waeup.kofa/branches/henrik-regista/layout/static/js/ikoba-tooltip.js	(revision 11957)
@@ -0,0 +1,3 @@
+$(function () {
+  $("[data-toggle=tooltip]").tooltip();
+});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-activate-tab.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-activate-tab.js	(revision 11956)
+++ 	(revision )
@@ -1,10 +1,0 @@
-$(document).ready(function(){
-
-/*
-Activate current tab, if any, but jump to top, if hash value contains '-top'
-*/
-
-  var anchor = window.location.hash.replace('-top','');
-  $('a[href="' + anchor + '"]').trigger('click');
-
-});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-datatables.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-datatables.js	(revision 11956)
+++ 	(revision )
@@ -1,32 +1,0 @@
-$(document).ready(function(){
-
-  $('.dataTable').dataTable( {
-    "iDisplayLength": 1000,
-    "iDisplayEnd": 1000,
-    "aLengthMenu": [ 50, 100, 1000, 5000 ],
-  } );
-
-	$('.dataTableFiles').dataTable( {
-    "aaSorting": [[ 2, "desc" ]],
-    "iDisplayLength": 1000,
-    "iDisplayEnd": 1000,
-    "aLengthMenu": [ 50, 100, 1000, 5000 ],
-	} );
-
-	$('.dataTableManage').dataTable( {
-    "aaSorting": [[ 1, "asc" ]],
-    "aoColumnDefs":[{ "bSortable": false, "aTargets": [ 0 ] }],
-    "iDisplayLength": 1000,
-    "iDisplayEnd": 1000,
-    "aLengthMenu": [ 50, 100, 1000, 5000 ],
-	} );
-
-	$('.dataTableManageFiles').dataTable( {
-    "aaSorting": [[ 3, "desc" ]],
-    "aoColumnDefs":[{ "bSortable": false, "aTargets": [ 0 ] }],
-    "iDisplayLength": 1000,
-    "iDisplayEnd": 1000,
-    "aLengthMenu": [ 50, 100, 1000, 5000 ],
-	} );
-
-});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-datepicker.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-datepicker.js	(revision 11956)
+++ 	(revision )
@@ -1,55 +1,0 @@
-$(function() {
-  $( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd',
-                                  duration: 'fast'
-  });
-});
-
-$(function() {
-  $( ".datepicker-le" ).datepicker({dateFormat: 'dd/mm/yy',
-	duration: 'fast'
-	});
-  });
-
-$(function() {
-  $( ".datepicker-de" ).datepicker({dateFormat: 'dd.mm.yy',
-	duration: 'fast'
-	});
-  });
-
-$(function() {
-  $( ".datepicker-us" ).datepicker({dateFormat: 'mm/dd/yy',
-	duration: 'fast'
-	});
-  });
-
-$(function() {
-  $( ".datepicker-year" ).datepicker({ dateFormat: 'yy-mm-dd',
-	duration: 'fast',
-	changeYear: true,
-	yearRange: '1900:2020'
-	});
-});
-
-$(function() {
-  $( ".datepicker-le-year" ).datepicker({dateFormat: 'dd/mm/yy',
-	duration: 'fast',
-	changeYear: true,
-	yearRange: '1900:2020'
-	});
-  });
-
-$(function() {
-  $( ".datepicker-de-year" ).datepicker({dateFormat: 'dd.mm.yy',
-	duration: 'fast',
-	changeYear: true,
-	yearRange: '1900:2020'
-	});
-  });
-
-$(function() {
-  $( ".datepicker-us-year" ).datepicker({dateFormat: 'mm/dd/yy',
-	duration: 'fast',
-	changeYear: true,
-	yearRange: '1900:2020'
-	});
-  });
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-functions.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-functions.js	(revision 11956)
+++ 	(revision )
@@ -1,22 +1,0 @@
-var RecaptchaOptions = {
-    theme : 'white'
- };
-
-function renderCurrentYear() {
-	var mydate=new Date()
-	var year=mydate.getYear()
-	if (year < 1000)
-	year+=1900
-	var day=mydate.getDay()
-	var month=mydate.getMonth()
-	var daym=mydate.getDate()
-	if (daym<10)
-	daym="0"+daym
-	document.write(year)
-}
-
-function toggle(source, name) {
-  checkboxes = document.getElementsByName(name);
-  for(var i in checkboxes)
-    checkboxes[i].checked = source.checked;
-}
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-scroll.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-scroll.js	(revision 11956)
+++ 	(revision )
@@ -1,45 +1,0 @@
-(function($){
-	$.fn.BottomTop = function(pos,cssClass,anchor) {
-
-		var easingType = 'easeInOutCubic';
-		var min = -1;
-		var inDelay = 500;
-		var outDelay = 500;
-		var scrollSpeed = 750;
-		var containerIDhash = '#' + pos;
-
-		// Auto Link
-		$('body').append('<a href="#'+anchor+'" id="'+pos+'" class="'+cssClass+'" />');
-    if (anchor == 'bottom') {
-  		$(containerIDhash).hide().click(function(){
-  			$('html, body').animate({scrollTop:$(bottom).offset().top}, scrollSpeed, easingType);
-  			return false;
-  		})
-      }
-    if (anchor == '') {
-  		$(containerIDhash).hide().click(function(){
-  			$('html, body').animate({scrollTop:0}, scrollSpeed, easingType);
-  			return false;
-  		})
-      }
-
-		$(window).scroll(function() {
-			var sd = $(window).scrollTop();
-
-			if ( sd > min )
-				$(containerIDhash).fadeIn(inDelay);
-			else
-				$(containerIDhash).fadeOut(Outdelay);
-		});
-
-};
-})(jQuery);
-
-
-$(document).ready(function(){
-	$('.top').BottomTop('toTop-right','scroll-up','');
-});
-
-$(document).ready(function(){
-	$('.bottom').BottomTop('toBottom-right','scroll-down','bottom');
-});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-scrollto.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-scrollto.js	(revision 11956)
+++ 	(revision )
@@ -1,12 +1,0 @@
-/* After loading the page, softly scroll to the #ikoba-scroll-target tag,
-   if it exists */
-$(document).ready(function (){
-    var scroll_target = $('#ikoba-scroll-target');
-    if (scroll_target.length) {
-	$('html,body').animate(
-            {
-		scrollTop: scroll_target.offset().top
-		    - $(window).height() + 2 * scroll_target.height()
-            })
-    }
-});
Index: main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-tooltip.js
===================================================================
--- main/waeup.kofa/branches/henrik-regista/layout/static/js/kofa-tooltip.js	(revision 11956)
+++ 	(revision )
@@ -1,3 +1,0 @@
-$(function () {
-  $("[data-toggle=tooltip]").tooltip();
-});